%define name 		dents
%define version 0.3.1
%define release	1
%define prefix /usr

Summary: A DNS nameserver.
Name: %{name}
Version: %{version}
Release: %{release}
Source: dents-%{version}.tar.gz
Copyright: GPL
BuildRoot: /var/tmp/%{name}-%{version}-root
Group: System Environment/Daemons
Provides: dents

%description
Dents is a from scratch implementation of the server side of the
Domain Name System (DNS) protocol and it shares no code with any other
project. Among its several features are compatibility with the named
DNS daemon, a modular driver system and an extensible control facility
which allows the administrator to control the running server.

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%{prefix}
make

%install
make prefix=$RPM_BUILD_ROOT%{prefix} install

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 $RPM_BUILD_DIR/%{name}-%{version}/debian/init.d $RPM_BUILD_ROOT/etc/rc.d/init.d/dents

strip -s $RPM_BUILD_ROOT%{prefix}/sbin/* || :
strip -s $RPM_BUILD_ROOT%{prefix}/lib/dents/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS ChangeLog NEWS README TODO
/etc/rc.d/init.d/dents
%{prefix}/sbin/dents
%{prefix}/lib/dents/mod_frl.so.0.0.0        
%{prefix}/lib/dents/mod_recursive.so.0
%{prefix}/lib/dents/mod_frl.la
%{prefix}/lib/dents/mod_recursive.so.0.0.0
%{prefix}/lib/dents/mod_frl.so
%{prefix}/lib/dents/mod_recursive.la
%{prefix}/lib/dents/mod_frl.so.0
%{prefix}/lib/dents/mod_recursive.so
%{prefix}/lib/dents/mod_msg_tgl.la
%{prefix}/lib/dents/mod_msg_tgl.so.0.0.0
%{prefix}/lib/dents/mod_msg_tgl.so

%changelog
* Mon Nov 8 1999 Tim Powers <timp@redhat.com>
- updated source

* Thu Aug 12 1999 Tim Powers <timp@redhat.com>
- this is based off of the origional dents-0.0.3-1 src.rpm from the dents
  webpage
- started changelog
- general spec clenaups
- made the %install section use buildroot
- enhancements to the spec file so that it is easier to maintain
- added patch for debian/init.d
- changed description to description from freshmeat.net
